Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider Class Reference

The repository configuration provider. More...

## Public Member Functions
| __construct (ConfigResolverInterface $configResolver, array $repositories)
| getRepositoryConfig ()
| getCurrentRepositoryAlias ()
| getDefaultRepositoryAlias ()
| getStorageConnectionName ()

## Private Attributes
const | REPOSITORY_STORAGE = 'storage'
const | REPOSITORY_CONNECTION = 'connection'
const | DEFAULT_CONNECTION_NAME = 'default'
| $configResolver
| $repositories

## Detailed Description

The repository configuration provider.

Definition at line 15 of file RepositoryConfigurationProvider.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider::__construct | ( | ConfigResolverInterface | $configResolver,
|  | array | $repositories
| ) |  |

Definition at line 27 of file RepositoryConfigurationProvider.php.

References eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider\$configResolver, and eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider\$repositories.

## Member Function Documentation

## ◆ getCurrentRepositoryAlias()

eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider::getCurrentRepositoryAlias | ( |  | ) |

Definition at line 54 of file RepositoryConfigurationProvider.php.

References eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider\getRepositoryConfig().

## ◆ getDefaultRepositoryAlias()

eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider::getDefaultRepositoryAlias | ( |  | ) |

Definition at line 59 of file RepositoryConfigurationProvider.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider\getRepositoryConfig().

## ◆ getRepositoryConfig()

eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider::getRepositoryConfig | ( |  | ) |

Returns
  array

Exceptions

Definition at line 38 of file RepositoryConfigurationProvider.php.

References eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider\getDefaultRepositoryAlias().

Referenced by eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider\getCurrentRepositoryAlias(), and eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider\getStorageConnectionName().

## ◆ getStorageConnectionName()

eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider::getStorageConnectionName | ( |  | ) |

Definition at line 66 of file RepositoryConfigurationProvider.php.

References eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider\DEFAULT_CONNECTION_NAME, eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider\getRepositoryConfig(), eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider\REPOSITORY_CONNECTION, and eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider\REPOSITORY_STORAGE.

## Member Data Documentation

## ◆ $configResolver

eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider::$configResolver
| private

Definition at line 22 of file RepositoryConfigurationProvider.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider\__construct().

## ◆ $repositories

eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider::$repositories
| private

Definition at line 25 of file RepositoryConfigurationProvider.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider\__construct().

## ◆ DEFAULT_CONNECTION_NAME

const eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider::DEFAULT_CONNECTION_NAME = 'default'
| private

Definition at line 19 of file RepositoryConfigurationProvider.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider\getStorageConnectionName().

## ◆ REPOSITORY_CONNECTION

const eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider::REPOSITORY_CONNECTION = 'connection'
| private

Definition at line 18 of file RepositoryConfigurationProvider.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider\getStorageConnectionName().

## ◆ REPOSITORY_STORAGE

const eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider::REPOSITORY_STORAGE = 'storage'
| private

Definition at line 17 of file RepositoryConfigurationProvider.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\ApiLoader\RepositoryConfigurationProvider\getStorageConnectionName().

The documentation for this class was generated from the following file:

- RepositoryConfigurationProvider.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.